import asyncio

import aiohttp


class Example:
    def __init__(self):
        self.total = 0
        self.session = aiohttp.ClientSession()

    async def _download(self, url):
        u = await self.session.get(url)
        raw_data = await u.read()
        length = len(raw_data)
        self.total += length

    async def go(self):
        coros = []
        for i in ['b', 'f', 'm']:
            url = "http://taniquetil.com.ar/{}.png".format(i)
            c = self._download(url)
            coros.append(c)
        await asyncio.gather(*coros)


async def run():
    e = Example()
    await e.go()
    e.session.close()
    print("Done:", e.total)

loop = asyncio.get_event_loop()
loop.run_until_complete(run())
loop.close()
